org.apache.tomcat.websocket.pojo

## Class PojoMessageHandlerWholePong

- java.lang.Object
- - org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<T>
  - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase<PongMessage>
    - - org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholePong

All Implemented Interfaces:
  MessageHandler, MessageHandler.Whole<PongMessage>, WrappedMessageHandler

    public class PojoMessageHandlerWholePong
    extends PojoMessageHandlerWholeBase<PongMessage>

PongMessage specific concrete implementation for handling whole messages.

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.websocket.MessageHandler

`MessageHandler.Partial<T>, MessageHandler.Whole<T>`

### Field Summary

### Fields inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

`convert, indexPayload, indexSession, maxMessageSize, method, params, pojo, session`

### Constructor Summary

Constructors
Constructor and Description
`PojoMessageHandlerWholePong(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexSession)`

### Method Summary

Methods
`protected Object` `decode(PongMessage message)`
`protected void` `onClose()`

### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase

`convert, onMessage`

### Methods inherited from class org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase

`getMaxMessageSize, getWrappedHandler, processResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PojoMessageHandlerWholePong

    public PojoMessageHandlerWholePong(Object pojo,
                               Method method,
                               Session session,
                               Object[] params,
                               int indexPayload,
                               boolean convert,
                               int indexSession)

### Method Detail

#### decode

    protected Object decode(PongMessage message)

Specified by:
  `decode` in class `PojoMessageHandlerWholeBase<PongMessage>`

#### onClose

    protected void onClose()

Specified by:
  `onClose` in class `PojoMessageHandlerWholeBase<PongMessage>`